"use strict";
var uni_modules_wotDesignUni_components_common_props = require("../common/props.js");
const popupProps = {
  ...uni_modules_wotDesignUni_components_common_props.baseProps,
  transition: String,
  closable: uni_modules_wotDesignUni_components_common_props.makeBooleanProp(false),
  position: uni_modules_wotDesignUni_components_common_props.makeStringProp("center"),
  closeOnClickModal: uni_modules_wotDesignUni_components_common_props.makeBooleanProp(true),
  duration: {
    type: [Number, Boolean],
    default: 300
  },
  modal: uni_modules_wotDesignUni_components_common_props.makeBooleanProp(true),
  zIndex: uni_modules_wotDesignUni_components_common_props.makeNumberProp(10),
  hideWhenClose: uni_modules_wotDesignUni_components_common_props.makeBooleanProp(true),
  modalStyle: uni_modules_wotDesignUni_components_common_props.makeStringProp(""),
  safeAreaInsetBottom: uni_modules_wotDesignUni_components_common_props.makeBooleanProp(false),
  modelValue: uni_modules_wotDesignUni_components_common_props.makeBooleanProp(false),
  lazyRender: uni_modules_wotDesignUni_components_common_props.makeBooleanProp(true),
  lockScroll: uni_modules_wotDesignUni_components_common_props.makeBooleanProp(true),
  rootPortal: uni_modules_wotDesignUni_components_common_props.makeBooleanProp(false)
};
exports.popupProps = popupProps;
